<!DOCTYPE html>
<html>
    <head>

        {% block stylesheets %}{% endblock %}

        <meta charset="UTF-8">
        <title>{% block title %}NSC Voucher{% endblock %}</title>

        <!-- CSS -->
        <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;400;500;700&display=swap" rel="stylesheet">

        <!-- Icons -->
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    </head>
    <body>
            
        {% block body %}{% endblock %}
        {% block javascripts %}{% endblock %}

        <div id="container">
            <div id="logo">
            </div>
            <div id="title">
                <span>Voucher</span>
            </div>
            <div id="lead">
                <span>sign in to continue</span>
            </div>
            <div id="content">
                <form method="post">
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}
                    {% if app.user %}
                        <div class="mb-3">
                            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                        </div>
                    {% endif %}
                <div id="form">
                    <input type="text" value="{{ last_username }}" name="username" id="username" class="form-control" placeholder="username" required autofocus>
                    <input type="password" name="password" id="pass" class="form-control" placeholder="password" required>
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                </div>
                {#
                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
                #}
                <button id="login-btn" type="submit"><i class="fas fa-long-arrow-alt-right"></i></button>
                </form>
            </div>
        </div>
        <div id="login-img">
        </div>
    </body>
</html>
